Bug 100766 - mozilla fails to exit on logout of user
mozilla fails to exit on logout of user
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 00:10 EDT by Scott R. Godin
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2003-07-25 00:10:48 EDT
Description of problem:
another user was on the computer at the time with two instances of mozilla open
to various web pages. I asked if I might use the computer, and proceeded to
click the close box on both windows (I believe he was using Gnome at the time),
and logged out.

on logging in to my own account, I did a ps -aux and noticed two instances of
mozilla still running under his username. 

Version-Release number of selected component (if applicable):
mozilla-1.2.1-26

How reproducible:
sometimes, but not always.

Steps to Reproduce:
1. unsure since I haven't noticed this happening often
    
Actual results:
observe the output from ps -aux : 

12:05am {1} pcp01501167pcs:/home/webdragon>$ ps -aux
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root         1  0.0  0.3  1380  480 ?        S    Jul23   0:04 init
root         2  0.0  0.0     0    0 ?        SW   Jul23   0:02 [keventd]
root         3  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kapmd]
root         4  0.0  0.0     0    0 ?        SWN  Jul23   0:00 [ksoftirqd_CPU0]
root         9  0.0  0.0     0    0 ?        SW   Jul23   0:00 [bdflush]
root         5  0.0  0.0     0    0 ?        SW   Jul23   0:03 [kswapd]
root         6  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kscand/DMA]
root         7  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kscand/Normal]
root         8  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kscand/HighMem]
root        10  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kupdated]
root        11  0.0  0.0     0    0 ?        SW   Jul23   0:00 [mdrecoveryd]
root        15  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kjournald]
root        75  0.0  0.0     0    0 ?        SW   Jul23   0:00 [khubd]
root       249  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kjournald]
root       250  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kjournald]
root       251  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kjournald]
root       252  0.0  0.0     0    0 ?        SW   Jul23   0:00 [kjournald]
root       253  0.0  0.0     0    0 ?        SW   Jul23   0:01 [kjournald]
root       600  0.0  0.4  1976  548 ?        S    Jul23   0:02 /sbin/dhclient -1
-q -lf /var/lib/dhcp/dhclient-eth0.leases -pf /var/run/dhclient-eth0.pid -cf
/etc/dhclient-eth0.conf
root       686  0.0  0.0     0    0 ?        SW   Jul23   0:00 [eth1]
root       741  0.0  0.3  1456  424 ?        S    Jul23   0:00 syslogd -m 0
root       745  0.0  0.2  1372  272 ?        S    Jul23   0:00 klogd -x
root       824  0.0  0.3  2068  400 ?        S    Jul23   0:00 xinetd -stayalive
-pidfile /var/run/xinetd.pid
root       865  0.0  0.2  5948  348 ?        S    Jul23   0:00 sendmail:
accepting connections
smmsp      875  0.0  0.0  5744   52 ?        S    Jul23   0:00 sendmail: Queue
runner@01:00:00 for /var/spool/clientmqueue
root       885  0.0  0.0 26668   60 ?        S    Jul23   0:01 /usr/bin/spamd -d
-c -a -m 3              
root       894  0.0  0.0  1420   56 ?        S    Jul23   0:00 gpm -t ps/2 -m
/dev/mouse
root       903  0.0  0.1  1428  136 ?        S    Jul23   0:00 crond
xfs        935  0.0  0.4  5024  552 ?        S    Jul23   0:00 xfs -droppriv -daemon
daemon     953  0.0  0.1  1420  204 ?        S    Jul23   0:00 /usr/sbin/atd
root       963  0.0  0.0  4280   84 ?        S    Jul23   0:00 rhnsd --interval 240
root       969  0.1  0.2  1792  312 ?        S    Jul23   2:17 esd -nobeeps -as
2 -unix
root      1020  0.0  0.0  2292    4 ?        S    Jul23   0:00 login --
webdragon     
root      1022  0.0  0.0  1360    4 tty4     S    Jul23   0:00 /sbin/mingetty tty4
root      1023  0.0  0.0  1360    4 tty5     S    Jul23   0:00 /sbin/mingetty tty5
root      1024  0.0  0.0  1360   72 tty6     S    Jul23   0:00 /sbin/mingetty tty6
500       1114  0.0  0.0  2716    4 tty2     S    Jul23   0:00 -tcsh
500       1625  0.0  0.0  2060    4 tty2     S    Jul23   0:00 /bin/sh
/usr/X11R6/bin/startx -- :1
500       1638  0.0  0.0  2348    4 tty2     S    Jul23   0:00 xinit
/etc/X11/xinit/xinitrc -- /usr/X11R6/bin/X :1
root      1639  1.4  9.2 94508 11668 ?       RL   Jul23  32:51 /usr/X11R6/bin/X :1
500       1644  0.0  0.6  4128  856 tty2     S    Jul23   0:04
/usr/local/bin/blackbox
500       1658  0.0  0.0  3164   72 ?        S    Jul23   0:00 ssh-agent
/home/webdragon/.Xclients
500       1659  0.0  0.3  3696  416 tty2     S    Jul23   0:07 xscreensaver
500       1660  0.0  0.2  3640  340 tty2     S    Jul23   0:00 bbmail
500       1661  0.0  0.4  4808  516 tty2     S    Jul23   0:01 bbkeys -t -geom -0+0
500       1662  0.0  0.2  2584  292 tty2     S    Jul23   0:00 wmmon
500       1663  0.0  0.2  2588  304 tty2     S    Jul23   0:00 wmmon -s
500       1664  0.0  0.1  2776  236 tty2     S    Jul23   0:01 wmtime
500       1665  0.0  0.2  2592  328 tty2     S    Jul23   0:03 wmnd -i eth0
500       1666  0.0  0.2  2592  324 tty2     S    Jul23   0:02 wmnd -i eth1
500       1667  0.0  0.3  3380  428 tty2     S    Jul23   0:00 aterm -ls -rv -tr
-sh 70 -fade 50 +sb -sl 1000 -geometry 105x63+5+50
500       1668  0.0  0.3  3252  408 tty2     S    Jul23   0:00 aterm -ls -rv -tr
-sh 70 -fade 50 +sb -sl 1000 -geometry 74x40-3+50
500       1669  0.0  0.4  3284  516 tty2     S    Jul23   0:00 aterm -ls -rv -tr
-sh 70 -fade 50 +sb -sl 1000 -geometry 94x24-9-47
500       1672  0.0  0.0  2576   44 pts/0    S    Jul23   0:00 -tcsh
500       1673  0.0  0.4  2596  548 pts/1    S    Jul23   0:00 -tcsh
500       1674  0.0  0.0  2640    4 pts/2    S    Jul23   0:00 -tcsh
root      1763  0.0  0.0  1664   96 pts/2    S    Jul23   0:00 tail -n 60 -f
/var/log/messages
500       1764  0.0  0.4  3400  588 pts/2    S    Jul23   0:04 /usr/bin/perl
/home/webdragon/bin/logcolorise.pl
root      2207  0.0  0.0  2300    4 ?        S    Jul23   0:00 login --
webdragon     
500       2263  0.0  0.0  2716    4 tty1     S    Jul23   0:00 -tcsh
500       2293 95.1 11.5 17868 14532 tty1    RN   Jul23 2098:16 setiathome -verbose
500       5595  0.0  3.4 17104 4332 ?        R    Jul23   0:55 xchat
benvolio  8102  0.0  0.0 93112    4 ?        S    Jul24   0:21
/usr/lib/mozilla-1.2.1/mozilla-bin -UILocale en-US
root      9847  0.0  0.1  1664  148 pts/0    S    Jul24   0:00 tail -n 60 -f
/var/log/messages
500       9848  0.0  0.2  4820  352 pts/0    S    Jul24   0:00 /usr/bin/perl -T
/home/webdragon/bin/tailfilter --iptables -l 35
ntp      10157  0.0  1.9  2400 2396 ?        SL   Jul24   0:00 ntpd -U ntp
benvolio 12702  0.0  6.3 91764 7976 ?        S    Jul24   0:21
/usr/lib/mozilla-1.2.1/mozilla-bin -UILocale en-US
root     14877  0.0  0.0  1356   52 tty3     S    Jul24   0:00 /sbin/mingetty tty3
500      14911  3.7 16.2 86896 20468 ?       S    Jul24   0:21 /usr/bin/galeon-bin
500      14914  0.0  0.6  3740  836 ?        S    Jul24   0:00 /usr/bin/gconfd-1 7
500      14917  0.0  0.6  3696  868 ?        S    Jul24   0:00 oafd
--ac-activate --ior-output-fd=11
root     14941  0.0  0.6  2056  880 pts/1    S    00:01   0:00 su -
root     14944  0.0  1.1  2640 1424 pts/1    S    00:01   0:00 -tcsh
500      14969  1.9  1.2  3112 1572 tty2     R    00:05   0:00 aterm -ls -rv -tr
-sh 70 -fade 50 +sb -sl 1000 -geometry 140x45
500      14970  0.3  1.0  2656 1380 pts/3    R    00:05   0:00 -tcsh
500      14991  0.0  0.5  2704  756 pts/3    R    00:05   0:00 ps -aux
12:05am {2} pcp01501167pcs:/home/webdragon>$ 


Expected results:
any processes owned by the user should have died upon his logout unless
explicitly told otherwise, and when launched during a gnome-session from
clicking on the panel, there should be no specific direction to keep them running. 

Additional info:
The user has not changed the system defaults. 

as you can see from the ps output, the user has no controlling shell running or
any other processes other than the two instances of mozilla still running now,
even though I took all this time to get on the site and fill out all this
paperwork :-)
Comment 1 David Kaplan 2003-08-12 15:39:50 EDT
This could be a duplicate of #89431.  Do you have problems restarting mozilla as
the new user?  Is the old user able to restart mozilla?
Comment 2 Scott R. Godin 2003-08-12 16:08:41 EDT
neither user has problems restarting mozilla. Nor is there any difficulty
killing the process. It just seems to hang around long after logging out. 

I've inserted a killall for moz and galeon into the logout script of the shells,
for the time being, but I'd like to see a resolution for this. I wish I knew
what was causing it... there doesn't seem to be any particular rhyme or reason
behind it. 
Comment 3 Christopher Blizzard 2003-08-25 15:27:25 EDT
Just so you know I can't reproduce this.  One thing that might be happening is
that the java plugin is crashing and hanging on exit.  I've seen this happen. 
Do you have the JVM installed and if so, can you disable the plugin and see if
it fixes the problem?
Comment 4 Scott R. Godin 2003-08-25 15:57:40 EDT
no, there is no JRE or JVM installed on this system

other than libnullplugin.so, the only other plugins installed are: 

    File name: libflashplayer.so
    Shockwave Flash 6.0 r69

Comment 5 Bill Nottingham 2006-08-05 00:36:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 14:03:37 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.